## tracker-miners 2.3.3

=== meson_options.txt ===
option('tracker_core', type: 'combo', choices: ['system', 'subproject'], value: 'system',
       description: 'Use the system-installed version of Tracker core libraries, or build our own version as a Meson subproject.')

option('docs', type: 'boolean', value: true,
       description: 'Enable the documentation')
option('extract', type: 'boolean', value: true,
       description: 'Enable the Tracker metadata extractor')
option('functional_tests', type: 'boolean', value: true,
       description: 'Enable the Tracker functional test suite')
option('guarantee_metadata', type: 'boolean', value: false,
       description: 'Set nie:title and nie:contentCreated from filename and mtime if no metadata available')
option('journal', type: 'boolean', value: true,
       description: 'Enable database journal backup mechanism')
option('miner_fs', type: 'boolean', value: true,
       description: 'Enable the Tracker filesystem miner')
option('miner_rss', type: 'boolean', value: true,
       description: 'Enable the Tracker RSS miner')
option('writeback', type: 'boolean', value: true,
       description: 'Enable Tracker writeback feature')

option('abiword', type: 'boolean', value: 'true',
       description: 'Enable extractor for AbiWord files')
option('dvi', type: 'boolean', value: 'true',
       description: 'Enable extractor for DVI metadata')
option('icon', type: 'boolean', value: 'true',
       description: 'Enable extractor for ICO metadata')
option('mp3', type: 'boolean', value: 'true',
       description: 'Enable extractor for MP3 metadata')
option('ps', type: 'boolean', value: 'true',
       description: 'Enable extractor for PS metadata')
option('text', type: 'boolean', value: 'true',
       description: 'Enable extractor for TXT metadata')
option('unzip_ps_gz_files', type: 'boolean', value: 'true',
       description: 'Enable extractor for PS.GZ metadata')

option('cue', type: 'feature', value: 'auto',
       description: 'Support cue sheet parsing')
option('exif', type: 'feature', value: 'auto',
       description: 'Support EXIF metadata')
option('flac', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from Flac audio')
option('gif', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from GIF images')
option('gsf', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from MS & Open Office documents')
option('iptc', type: 'feature', value: 'auto',
       description: 'Support IPTC photo metadata')
option('iso', type: 'feature', value: 'auto',
       description: 'Support ISO image parsing')
option('jpeg', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from JPEG images')
option('pdf', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from PDF documents')
option('playlist', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from playlists (w/ Totem)')
option('png', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from PNG images')
option('raw', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from RAW photos')
option('tiff', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from TIFF images')
option('vorbis', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from Vorbis (ogg/etc) files')
option('xml', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from XML and HTML documents')
option('xmp', type: 'feature', value: 'auto',
       description: 'Support XMP metadata')
option('xps', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from XPS documents')

option('battery_detection', type: 'combo', choices: ['auto', 'hal', 'upower', 'none'], value: 'auto',
       description: 'Enable upower or HAL for battery/mains power detection')
option('charset_detection', type: 'combo', choices: ['auto', 'enca', 'icu', 'none'], value: 'auto',
       description: 'Enable enca or libicu for charset detection in MP3s')
option('generic_media_extractor', type: 'combo', choices: ['auto', 'gstreamer', 'libav', 'none'], value: 'auto',
       description: 'Enables one of the (gstreamer, libav, auto) generic media extractor backends')
option('gstreamer_backend', type: 'combo', choices: ['discoverer', 'gupnp'], value: 'discoverer',
       description: 'When GStreamer is used, this enables one of the (discoverer, gupnp) GStreamer backends')

option('dbus_services', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (leave blank to use the value from dbus-1.pc)')
option('systemd_user_services', type: 'string', value: 'yes',
       description: 'Directory to install systemd user .service files (or "yes" for default directory, "no" to disable installation)')

=== debian/changelog ===
tracker-miners (2.3.3-2ubuntu0.20.04.2) focal; urgency=medium

  * Change tracker-miner-[fs,rss].service to start upon gnome-session.target 
    instead of default.target. default.target was too early, leading gvfs to 
    be started too early, which led to gvfs not collecting systemd user 
    session environment variables, notably KRB5CCNAME. 
    Remove install section from tracker-extract.service to prevent it
    from being enabled by systemd. It is a helper service that should be
    managed by tracker-miner-fs.service, not systemd.(LP: #1779890)
    - d/p/lp-1779890-1-move-the-install-section-to-the-systemd-service-fil.patch
    - d/p/lp-1779890-2-miners-opt-out-of-systemd-XDG-autostart-integration.patch
    - d/p/lp-1779890-3-miners-tie-systemd-startup-to-gnome-session.patch
    - d/p/lp-1779890-4-miners-fix-after-usage-in-systemd-service-files.patch
    - d/p/lp-1779890-5-remove-install-section-from-tracker-extract-service.patch
    - d/tracker-extract.postinst
    - d/tracker-miner-fs.postinst 

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Tue, 13 Jun 2023 11:09:44 +1200

tracker-miners (2.3.3-2ubuntu0.20.04.1) focal; urgency=medium

  * d/p/libtracker-miners-common-Add-newstatat-statat64-syscalls.patch:
    cherry-picked from upstream to prevent seccomp crashes with newer glibc,
    notably during dist-upgrade. (LP: #1983859)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 10 Aug 2022 14:05:34 +0200

tracker-miners (2.3.3-2) unstable; urgency=medium

  * d/p/prefer_systemd_activation.patch: Updated to use the version merged
    upstream.  The services will now be started by the systemd default.target
    and only for non-root user

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Apr 2020 18:54:17 +0200

tracker-miners (2.3.3-1) unstable; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/patches/upstream-scheduler-settings-fix.patch: removed, upstream

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Build-depends on libseccomp-dev on linux-riscv64 now that's available
    (Closes: #952410)
  * debian/patches/prefer_systemd_activation.patch: Prefer systemd activation
    over XDG autostart

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Mar 2020 12:19:35 +0100

tracker-miners (2.3.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/patches/no-seccomp-riscv64.patch: Fix FTBFS on riscv64 architecture
    by not requiring libseccomp
  * Bump debhelper compatibility to 12
  * Move the daemons to /usr/libexec now that this is allowed in the debian
    policy
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

  [ Olivier Tilloy ]
  * New upstream release
  * debian/patches/upstream-scheduler-settings-fix.patch: cherry-pick an
    upstream patch that fixes https://gitlab.gnome.org/GNOME/tracker/issues/180

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Mar 2020 12:00:55 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: tracker-miners
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               gir1.2-glib-2.0 <!nocheck>,
               meson (>= 0.47),
               pkg-config,
               intltool (>= 0.40.0),
               libglib2.0-dev (>= 2.44.0),
               libgstreamer1.0-dev (>= 0.10.31),
               libgstreamer-plugins-base1.0-dev (>= 0.10.31),
               libstemmer-dev,
               libtracker-miner-2.0-dev (>= 2.2.0),
               libtracker-sparql-2.0-dev (>= 2.2.0),
               libpoppler-glib-dev (>= 0.16.0),
               libgsf-1-dev (>= 1.14.24),
               libexif-dev (>= 0.6),
               libgexiv2-dev,
               libgstreamer-plugins-base1.0-dev,
               libpng-dev (>= 1.2),
               libtiff-dev,
               libvorbis-dev (>= 0.22),
               libdbus-1-dev (>= 1.3.1),
               libflac-dev (>= 1.2.1),
               libtotem-plparser-dev,
               zlib1g-dev,
               libexempi-dev (>= 2.1.0),
               libxml2-dev (>= 2.6),
               libupower-glib-dev (>= 0.9.0),
               libicu-dev (>= 4.8.1.1),
               libiptcdata0-dev,
               tracker (>= 2.2.0),
               libgif-dev,
               libgxps-dev,
               libosinfo-1.0-dev (>= 0.2.9),
               libcue-dev,
               libseccomp-dev (>= 2.0) [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
               dbus (>= 1.3.1) <!nocheck>,
               dbus-x11 (>= 1.3.1) <!nocheck>,
               gstreamer1.0-libav <!nocheck>,
               gstreamer1.0-plugins-good <!nocheck>,
               procps <!nocheck>,
               python3-gi <!nocheck>,
               shared-mime-info <!nocheck>,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
Homepage: https://wiki.gnome.org/Projects/Tracker

Package: tracker-extract
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (>= 2.2.0)
Breaks: tracker (<< 1.99.2)
Replaces: tracker (<< 1.99.2)
Description: metadata database, indexer and search tool - metadata extractors
 This package contains the metadata extractors.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-miner-fs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (>= 2.2.0),
         tracker-extract (= ${binary:Version}),
         procps
Description: metadata database, indexer and search tool - filesystem indexer
 This package contains the tracker indexer for indexing your files and folders.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed -Wl,-Bsymbolic

BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
CHECK_HOME = $(CURDIR)/debian/tmp/home
CHECK_XRD = $(CHECK_HOME)/XRD

FEATURE_FLAGS = \
	-Dgeneric_media_extractor=gstreamer \
	-Dsystemd_user_services=/usr/lib/systemd/user \
	-Ddocs=true \
	-Dfunctional_tests=true \
	-Dminer_rss=false \
	-Dbattery_detection=upower \
	-Dcharset_detection=icu

MESON_TEST_ARGS = \
	-C $(BUILDDIR) \
	--no-rebuild \
	--verbose
TEST_SUITES_FILTER = \
	functional
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hppa ppc64 s390x))
TEST_SUITES_FILTER += \
	audio
endif

# Disable 'universe' dependencies (libosinfo & libiptcdata) on Ubuntu
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
FEATURE_FLAGS += \
	-Diptc=disabled \
	-Diso=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(FEATURE_FLAGS)

override_dh_install:
	find debian/tmp -name 01-writeback.py -print -delete
	find debian/tmp -name tracker-tests -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-miners-2.0/

override_dh_shlibdeps:
	dh_shlibdeps -Ltracker-extract

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	mkdir -p -m0700 $(CHECK_HOME)
	mkdir -m0700 $(CHECK_XRD)
	env HOME=$(CHECK_HOME) XDG_RUNTIME_DIR=$(CHECK_XRD) \
	    dbus-run-session -- \
	    meson test $(MESON_TEST_ARGS) \
	    $(addprefix --no-suite ,${TEST_SUITES_FILTER})
	-env HOME=$(CHECK_HOME) XDG_RUNTIME_DIR=$(CHECK_XRD) \
	    dbus-run-session -- \
	    meson test $(MESON_TEST_ARGS) \
	    $(addprefix --suite ,${TEST_SUITES_FILTER})
endif

override_dh_clean:
	rm -rf $(CHECK_HOME)
	dh_clean

## tracker-miners 2.3.5

=== meson_options.txt ===
--- 
+++ 
@@ -77,6 +77,8 @@
 option('gstreamer_backend', type: 'combo', choices: ['discoverer', 'gupnp'], value: 'discoverer',
        description: 'When GStreamer is used, this enables one of the (discoverer, gupnp) GStreamer backends')
 
+option('autostart', type: 'boolean', value: false,
+       description: 'Install .desktop files into $sysconfdir/xdg/autostart so miners start along with desktop session')
 option('dbus_services', type: 'string', value: '',
        description: 'Directory to install D-Bus .service files (leave blank to use the value from dbus-1.pc)')
 option('systemd_user_services', type: 'string', value: 'yes',

=== debian/changelog ===
tracker-miners (2.3.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libtracker-miners-common: Add newstatat/statat64 syscalls.
    Backport upstream commit b3fdbaf to avoid constant crashes every 2s.
    Thanks Julian Andres Klode for forwarding this initially.
    (Closes: #983637)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Jul 2021 12:40:50 +0200

tracker-miners (2.3.5-2) unstable; urgency=medium

  * Make the 'audio' tests non-fatal on powerpc and sparc64 as well

 -- Laurent Bigonville <bigon@debian.org>  Fri, 09 Oct 2020 11:13:36 +0200

tracker-miners (2.3.5-1) unstable; urgency=medium

  [ Simon McVittie ]
  * debian/watch: Only match tracker-2.
    tracker-3 will need packaging separately (see #964376).
  * New upstream release
    - Remove generic gstreamer-based image extraction codepath
    - Allow statx in seccomp filter, used by newer GLib (Closes: #970589)
    - Set a deadline of 30 seconds for extraction tasks
    - Several fixes to libav-based extractor
  * d/rules: Enable autostart option to preserve existing functionality
  * Add patch from upstream to fix build
  * Build-Depend on systemd (on Linux), for systemd.pc
  * Refresh patch series with closest-to-upstream patches first

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Oct 2020 16:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: tracker-miners
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,
@@ -50,6 +49,7 @@
                procps <!nocheck>,
                python3-gi <!nocheck>,
                shared-mime-info <!nocheck>,
+               systemd (>= 242) [linux-any],
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 CHECK_XRD = $(CHECK_HOME)/XRD
 
 FEATURE_FLAGS = \
+	-Dautostart=true \
 	-Dgeneric_media_extractor=gstreamer \
 	-Dsystemd_user_services=/usr/lib/systemd/user \
 	-Ddocs=true \
@@ -22,7 +23,7 @@
 	--verbose
 TEST_SUITES_FILTER = \
 	functional
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hppa ppc64 s390x))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hppa powerpc ppc64 s390x sparc64))
 TEST_SUITES_FILTER += \
 	audio
 endif

## tracker-miners 3.1.3

=== debian/changelog ===
tracker-miners (3.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 12:59:49 -0400

tracker-miners (3.1.2-2) unstable; urgency=medium

  * debian/rules: Completely disable the tests if nocheck option is used
  * Fix the RPATH for the tracker-miner-fs-control-3 executable.
    Drop Laney's patch that set it for the extract modules, this is not
    needed anymore as the executable loading them has the RPATH set

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Sep 2021 10:46:52 +0200

tracker-miners (3.1.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop an rpath and seccomp patches: applied in new release
  * debian/rules: Drop obsolete delete rule

  [ Laurent Bigonville ]
  * Explicitly disable NetworkManager support on non-linux architectures
  * Remove obsolete xdg autostart files (Closes: #993884, #993883)
  * debian/rules: Search for the private libraries in the private path
  * Cleanup old systemd .service files too
  * Drop pre-Buster upgrade paths

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Sep 2021 15:17:48 +0200

tracker-miners (3.1.1-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Only BD against libnm-dev on linux-any architectures

  [ Jeremy Bicha ]
  * debian/control.in: Have tracker-miner-fs Break older versions of apps
    since the gsettings schema & dbus path changed names (Closes: #993430)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Sep 2021 18:48:53 -0400

tracker-miners (3.1.1-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:49:52 -0400

tracker-miners (3.1.1-2) experimental; urgency=medium

  * Cherry-pick seccomp-Allow-64bit-time-functions-on-32bit-systems.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 18:37:12 -0400

tracker-miners (3.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Update patches:
    - build-Fix-Dautostart-true.patch,
      functional-tests-Check-for-IPCT-image-tags-only-if-libipt.patch,
      tests-Use-meson-test-suites-to-group-tests.patch,
      prefer_systemd_activation.patch,
      dont_start_for_root.patch,
      Don-t-immediately-restart-tracker-extract-on-SIGSYS.patch: Drop,
      upstream or not needed with 3.0.
    - Revert-build-Include-libdir-in-rpath.patch: Refresh.
  * Update build-deps, build flags and install paths for 3.0.
  * psx-game-image-1.expected.json-Mark-as-XFAIL.patch: Mark test as XFAIL.
    It's newly run in 3.0, and fails - seems buggy somehow upstream.
  * rules:
    - Use default build flags, strip Bsymbolic-functions-
      We get
        Bail out! GLib-GObject-FATAL-WARNING: cannot register existing type
        'TrackerTaskPool'
      otherwise.
    - Don't run testsuites in parallel, they can interfere
  * Drop-file-notifier-and-miner-fs-tests.patch: Drop 'file-notifier' and
    'miner-fs' tests. There are flakiness problems here. See:
    https://gitlab.gnome.org/GNOME/tracker-miners/-/issues/174
  * Bump to compat 13:
      - Update dh_auto_test override:
        + No need to check for 'nocheck' now.
        + No need to set $HOME and $XDG_RUNTIME_DIR any more
        + Call `dh_auto_test` instead of overriding it to call `meson test`
          - this is what `dh_auto_test` calls for us in compat 13.
      - Remove `dh_missing --fail-missing` override as this is the default
        now.
  * control: Set Rules-Requires-Root to no as we do not require root for
    building/testing tracker-miners.
  * tracker-extract-meson.build-Set-RPATH-for-the-extract-mod.patch: Add. Set
    RPATH for the extract modules, so they can find.
    libtracker-extract.so in the pkglibdir.
  * shlibs.local: Add libtracker-miner-3.0.
  * debian/copyright: Update with `scan-copyright`, thanks

 -- Iain Lane <laney@debian.org>  Wed, 23 Jun 2021 17:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,30 +7,27 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,
-               meson (>= 0.47),
+               meson (>= 0.50),
                pkg-config,
                intltool (>= 0.40.0),
-               libglib2.0-dev (>= 2.44.0),
+               libglib2.0-dev (>= 2.62.0),
                libgstreamer1.0-dev (>= 0.10.31),
                libgstreamer-plugins-base1.0-dev (>= 0.10.31),
                libstemmer-dev,
-               libtracker-miner-2.0-dev (>= 2.2.0),
-               libtracker-sparql-2.0-dev (>= 2.2.0),
+               libtracker-sparql-3.0-dev (>= 3.1.0),
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
                libgexiv2-dev,
                libgstreamer-plugins-base1.0-dev,
+               libnm-dev [linux-any],
                libpng-dev (>= 1.2),
                libtiff-dev,
-               libvorbis-dev (>= 0.22),
                libdbus-1-dev (>= 1.3.1),
-               libflac-dev (>= 1.2.1),
                libtotem-plparser-dev,
-               zlib1g-dev,
                libexempi-dev (>= 2.1.0),
                libxml2-dev (>= 2.6),
                libupower-glib-dev (>= 0.9.0),
@@ -40,26 +37,32 @@
                libgif-dev,
                libgxps-dev,
                libosinfo-1.0-dev (>= 0.2.9),
-               libcue-dev,
+               libcue-dev (>= 2.0.0),
                libseccomp-dev (>= 2.0) [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
+               asciidoc,
+               xsltproc,
+               docbook-xsl,
                dbus (>= 1.3.1) <!nocheck>,
                dbus-x11 (>= 1.3.1) <!nocheck>,
                gstreamer1.0-libav <!nocheck>,
                gstreamer1.0-plugins-good <!nocheck>,
                procps <!nocheck>,
                python3-gi <!nocheck>,
+               python3-tap <!nocheck>,
                shared-mime-info <!nocheck>,
+               tracker-test-utils <!nocheck>,
                systemd (>= 242) [linux-any],
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker
+Rules-Requires-Root: no
 
 Package: tracker-extract
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 2.2.0)
+         tracker (>= 3.1.1)
 Breaks: tracker (<< 1.99.2)
 Replaces: tracker (<< 1.99.2)
 Description: metadata database, indexer and search tool - metadata extractors
@@ -73,9 +76,21 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 2.2.0),
+         tracker (>= 3.1.1),
          tracker-extract (= ${binary:Version}),
          procps
+Breaks: bijiben (<< 40),
+        brasero (<< 3.12.2-8~),
+        gnome-applets (<< 3.40.0-4~),
+        gnome-books (<< 40),
+        gnome-boxes (<< 40),
+        gnome-documents (<< 3.34.0-4~),
+        gnome-music (<< 40),
+        gnome-photos (<< 40),
+        gnome-usage (<< 3.38.1-3~),
+        nautilus (<< 40),
+        netatalk (<< 3.1.12~ds-8.1),
+        rygel (<< 0.40.1-3~)
 Description: metadata database, indexer and search tool - filesystem indexer
  This package contains the tracker indexer for indexing your files and folders.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

FEATURE_FLAGS = \
	-Dgeneric_media_extractor=gstreamer \
	-Dsystemd_user_services=/usr/lib/systemd/user \
	-Ddocs=true \
	-Dfunctional_tests=true \
	-Dminer_rss=false \
	-Dbattery_detection=upower \
	-Dcharset_detection=icu \
	-Dsystemd_user_services=true \
	-Dsystemd_user_services_dir=/usr/lib/systemd/user/

ifneq (linux,$(DEB_HOST_ARCH_OS))
FEATURE_FLAGS += -Dnetwork_manager=disabled
endif

MESON_TEST_ARGS = \
	--no-rebuild \
	--verbose
TEST_SUITES_FILTER = \
	functional
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hppa powerpc ppc64 s390x sparc64))
TEST_SUITES_FILTER += \
	audio
endif

# Disable 'universe' dependencies (libosinfo & libiptcdata) on Ubuntu
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
FEATURE_FLAGS += \
	-Diptc=disabled \
	-Diso=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(FEATURE_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-miners-3.0/

override_dh_shlibdeps:
	dh_shlibdeps -Ltracker-extract

override_dh_auto_test:
	dbus-run-session -- \
	    dh_auto_test --no-parallel -- $(MESON_TEST_ARGS) \
	    $(addprefix --no-suite ,${TEST_SUITES_FILTER})
	-dbus-run-session -- \
	    dh_auto_test --no-parallel -- $(MESON_TEST_ARGS) \
	    $(addprefix --suite ,${TEST_SUITES_FILTER})

## tracker-miners 3.3.0

=== debian/changelog ===
tracker-miners (3.3.0-1) experimental; urgency=medium

  * New upstream release
  * Drop sandbox patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 12:20:25 -0400

tracker-miners (3.3.0~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on asciidoc-base instead of asciidoc
  * debian/control.in: Bump minimum gstreamer to 1.20.0
  * Cherry-pick patch to fix sandbox crash issue (LP: #1962585)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Mar 2022 11:58:22 -0400

tracker-miners (3.3.0~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop syscall patches: applied in new release
  * debian/control.in: Bump minimum tracker to 3.3.0~

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 14:00:02 -0500

tracker-miners (3.1.3-4) unstable; urgency=medium

  * Cherry-pick 2 more commits to allow more syscalls through the sandbox

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 21:07:25 -0500

tracker-miners (3.1.3-3) unstable; urgency=medium

  * Cherry-pick commit to fix arm64 build test

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 20:40:50 -0500

tracker-miners (3.1.3-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Drop d/p/build-Bring-back-missing-rpath-on-tracker-control-ex.patch, fixed
    upstream in an other way
  * debian/control.in: Add gstreamer1.0-tools to the BD, needed for tests
  * debian/rules: Drop unknown "docs" option (Closes: #997535)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 09:56:47 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,
@@ -14,15 +14,15 @@
                pkg-config,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.62.0),
-               libgstreamer1.0-dev (>= 0.10.31),
-               libgstreamer-plugins-base1.0-dev (>= 0.10.31),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
                libstemmer-dev,
-               libtracker-sparql-3.0-dev (>= 3.1.0),
+               libtracker-sparql-3.0-dev (>= 3.3.0~),
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
                libgexiv2-dev,
-               libgstreamer-plugins-base1.0-dev,
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
                libnm-dev [linux-any],
                libpng-dev (>= 1.2),
                libtiff-dev,
@@ -33,19 +33,20 @@
                libupower-glib-dev (>= 0.9.0),
                libicu-dev (>= 4.8.1.1),
                libiptcdata0-dev,
-               tracker (>= 2.2.0),
+               tracker (>= 3.2.0),
                libgif-dev,
                libgxps-dev,
                libosinfo-1.0-dev (>= 0.2.9),
                libcue-dev (>= 2.0.0),
                libseccomp-dev (>= 2.0) [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
-               asciidoc,
+               asciidoc-base,
                xsltproc,
                docbook-xsl,
                dbus (>= 1.3.1) <!nocheck>,
                dbus-x11 (>= 1.3.1) <!nocheck>,
-               gstreamer1.0-libav <!nocheck>,
-               gstreamer1.0-plugins-good <!nocheck>,
+               gstreamer1.0-libav (>= 1.20.0) <!nocheck>,
+               gstreamer1.0-plugins-good (>= 1.20.0) <!nocheck>,
+               gstreamer1.0-tools (>= 1.20.0) <!nocheck>,
                procps <!nocheck>,
                python3-gi <!nocheck>,
                python3-tap <!nocheck>,
@@ -62,7 +63,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 3.1.1)
+         tracker (>= 3.2.0)
 Breaks: tracker (<< 1.99.2)
 Replaces: tracker (<< 1.99.2)
 Description: metadata database, indexer and search tool - metadata extractors
@@ -76,7 +77,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 3.1.1),
+         tracker (>= 3.3.0~),
          tracker-extract (= ${binary:Version}),
          procps
 Breaks: bijiben (<< 40),

## tracker-miners 3.3.3

=== debian/changelog ===
tracker-miners (3.3.3-0ubuntu0.20.04.3) jammy; urgency=medium

  * Allow epoll_create1 call in seccomp whitelist (LP: #1990630)
    - d/p/seccomp-allow-epoll-create1.patch

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 03 Apr 2024 13:27:56 +0200

tracker-miners (3.3.3-0ubuntu0.20.04.2) jammy; urgency=medium

  [ Denison Barbosa ]
  * Removes install section from tracker-extract.service to prevent it
    from being enabled by systemd. It is a helper service that should be
    managed by tracker-miner-fs.service, not systemd. (LP: #1779890) 
    - d/p/lp1779890-remove-install-section-from-tracker-extract-service.patch
    - d/tracker-extract.postinst

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Fri, 01 Dec 2023 17:27:37 +1300

tracker-miners (3.3.3-0ubuntu0.20.04.1) jammy-security; urgency=medium

  * Updated to upstream 3.3.3 version to fix sandbox bypass issue
    - CVE-2023-5557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Nov 2023 09:53:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: tracker-miners
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,

## tracker-miners 3.4.0

=== debian/changelog ===
tracker-miners (3.4.0-4) unstable; urgency=medium

  * Cherry-pick patch to add epoll_create1 to the sandbox whitelist
    to fix crash with glib 2.74+ (LP: #1990630)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 07:34:45 -0400

tracker-miners (3.4.0-3) unstable; urgency=medium

  * Use correct version of allow-get-set-mempolicy.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 08 Oct 2022 08:59:52 -0400

tracker-miners (3.4.0-2) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Add d/p/allow-get-set-mempolicy.patch: Fixes build

  [ Jeremy Bicha ]
  * debian/control.in: Build-Depend on libblkid-dev

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 06 Oct 2022 06:43:19 -0400

tracker-miners (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:31:15 -0400

tracker-miners (3.4.0~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum tracker to 3.4.0~

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:46:43 -0400

tracker-miners (3.4.0~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 04:50:38 -0400

tracker-miners (3.4.0~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:59:46 -0400

tracker-miners (3.3.1-2) unstable; urgency=high

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 08:44:35 -0400

tracker-miners (3.3.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 12:31:32 -0400

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Source: tracker-miners
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,
                meson (>= 0.50),
                pkg-config,
                intltool (>= 0.40.0),
+               libblkid-dev,
                libglib2.0-dev (>= 2.62.0),
                libgstreamer1.0-dev (>= 1.20.0),
                libgstreamer-plugins-base1.0-dev (>= 1.20.0),
                libstemmer-dev,
-               libtracker-sparql-3.0-dev (>= 3.3.0~),
+               libtracker-sparql-3.0-dev (>= 3.4.0~),
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
@@ -34,7 +34,7 @@
                libupower-glib-dev (>= 0.9.0),
                libicu-dev (>= 4.8.1.1),
                libiptcdata0-dev,
-               tracker (>= 3.2.0),
+               tracker (>= 3.4.0~),
                libgif-dev,
                libgxps-dev,
                libosinfo-1.0-dev (>= 0.2.9),
@@ -54,7 +54,7 @@
                shared-mime-info <!nocheck>,
                tracker-test-utils <!nocheck>,
                systemd (>= 242) [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker
@@ -64,7 +64,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 3.2.0)
+         tracker (>= 3.4.0~)
 Breaks: tracker (<< 1.99.2)
 Replaces: tracker (<< 1.99.2)
 Description: metadata database, indexer and search tool - metadata extractors
@@ -78,7 +78,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 3.3.0~),
+         tracker (>= 3.4.0~),
          tracker-extract (= ${binary:Version}),
          procps
 Breaks: bijiben (<< 40),

## tracker-miners 3.4.2

=== debian/changelog ===
tracker-miners (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * Drop 2 sandbox whitelist patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 17:25:49 -0500

## tracker-miners 3.4.3

=== debian/changelog ===
tracker-miners (3.4.3-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2023 13:34:32 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,
@@ -54,7 +54,7 @@
                shared-mime-info <!nocheck>,
                tracker-test-utils <!nocheck>,
                systemd (>= 242) [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 FEATURE_FLAGS = \
 	-Dgeneric_media_extractor=gstreamer \
 	-Dsystemd_user_services=/usr/lib/systemd/user \
-	-Ddocs=true \
 	-Dfunctional_tests=true \
 	-Dminer_rss=false \
 	-Dbattery_detection=upower \

## tracker-miners 3.4.6

=== debian/changelog ===
tracker-miners (3.4.6-3) unstable; urgency=medium

  * Allow getsockopt in seccomp filter (Closes: #1057617)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 28 Jan 2024 12:04:38 +0100

tracker-miners (3.4.6-2) unstable; urgency=medium

  * Team upload

  [ Matthew Ruffell ]
  * Purge stale systemd unit dependency symbolic links to remove
    tracker-extract-3.service from default.target.wants. (LP: #1779890)
    - d/tracker-extract.postinst

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Fri, 01 Dec 2023 13:49:34 +1300

tracker-miners (3.4.6-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 31 Oct 2023 13:10:00 -0400

tracker-miners (3.4.5-3) unstable; urgency=high

  * Cherry-pick proposed patches to fix build on various architectures
    (Closes: #1053238)
  * Update changelog entry for 3.4.5-1 to acknowledge CVE fix

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Oct 2023 10:37:25 -0400

tracker-miners (3.4.5-2) unstable; urgency=high

  * Cherry-pick build fixes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Oct 2023 07:49:05 -0400

tracker-miners (3.4.5-1) unstable; urgency=high

  * New upstream bugfix release
    - Includes sandbox hardening to fix CVE-2023-5557 (Closes: #1053881)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 17:58:13 -0400

tracker-miners (3.4.3-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * debian/gbp.conf: Branch for trixie
  * Cherry-pick 2 patches to improve tracker systemd services
    - Fix tracker-extract.service WantedBy target so that gvfsd has
      access to KRB5CCNAME. Thanks Denison Barbosa (LP: #1779890)
    - Don't start the daemons for non-root system users like gdm
      and lightdm (LP: #2007755) (Closes: #981089)

  [ Daniel van Vugt ]
  * Add tracker-extract-Add-missing-break-to-remove-a-single.patch
    to fix SIGSEGV in decorator_item_cache_remove (LP: #2012638)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 08:32:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: tracker-miners
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -57,3 +57,5 @@
 	-dbus-run-session -- \
 	    dh_auto_test --no-parallel -- $(MESON_TEST_ARGS) \
 	    $(addprefix --suite ,${TEST_SUITES_FILTER})
+
+override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	3.4/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
